View Issue Details

IDProjectCategoryView StatusLast Update
0022545mantisbtmarkdownpublic2017-04-01 00:13
ReporterEnnoAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.2.1 
Target Version2.2.3Fixed in Version2.2.3 
Summary0022545: Markdown still converting '& amp;' to & and '& lt;' to <
Description

I installed 2.2.1 hoping that issue 0022246 would have solved this, but I still see markdown converting symbols in code blocks to HTML entities.

Steps To Reproduce
if (a && b) { return a < b ? "less" : "greater"; }
TagsNo tags attached.

Relationships

related to 0022246 closedjoel Markdown is converting '&' signs to (ampersand[amp;]) inside code block or backtick as well 

Activities

Enno

Enno

2017-03-20 04:58

reporter   ~0056123

Additionally, spelling out the html entity & in the title of this issue makes it show up as an ampersand &.

dregad

dregad

2017-03-31 17:06

developer   ~0056306

Fixed via PR https://github.com/mantisbt/mantisbt/pull/1069

Related Changesets

MantisBT: master-2.2 ca40d68e

2017-03-25 18:51:22

Joel C. Llano


Committer: dregad Details Diff
Fix markdown with Indented-code-block

Fixes 0022545

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - plugins/MantisCoreFormatting/core/MantisMarkdown.php Diff File

Issue History

Date Modified Username Field Change
2017-03-20 04:45 Enno New Issue
2017-03-20 04:49 atrol Relationship added related to 0022246
2017-03-20 04:49 atrol Summary Markdown still converting & to & and < to < => Markdown still converting & to & and < to <
2017-03-20 04:49 atrol Description Updated View Revisions
2017-03-20 04:58 Enno Note Added: 0056123
2017-03-20 06:59 dregad Assigned To => joel
2017-03-20 06:59 dregad Status new => assigned
2017-03-20 06:59 dregad Summary Markdown still converting & to & and < to < => Markdown still converting '& amp;' to & and '& lt;' to <
2017-03-31 17:05 dregad Changeset attached => MantisBT master-2.2 ca40d68e
2017-03-31 17:05 dregad Assigned To joel => dregad
2017-03-31 17:05 dregad Status assigned => resolved
2017-03-31 17:05 dregad Resolution open => fixed
2017-03-31 17:05 dregad Fixed in Version => 2.2.3
2017-03-31 17:05 dregad Target Version => 2.2.3
2017-03-31 17:06 dregad Note Added: 0056306
2017-04-01 00:13 vboctoradmin Status resolved => closed